---
date: 2021-04-13T17:23:58+02:00
description: "Correctif OpenBSD: Serveur X"
title: "Syspatch : XInput (2021/04/13)"
---

## Correctif de sécurité XInput

Des échecs de validations d'entrées dans les extensions XInput du serveur X peuvent permettre une élévation des privilèges pour des clients autorisés.


Il vaut mieux redémarrer le service X après l'application du correctif !
<br>*(ou les clients X utilisés)*


Pour toutes les architectures supportées :
- amd64, arm64, i386 par `syspatch`
- armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par [recompilation](#recompilation)

---

## Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386 !

```ksh
# syspatch
```

Ensuite [redémarrez](#restart) le service !

## Recompilation

Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :

⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

- Pour 6.8 : 

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/018_xi.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 018_xi.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

- Pour 6.7 :

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.7/common/038_xi.patch.sig
# signify -Vep /etc/signify/openbsd-67-base.pub -x 038_xi.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

⇒ La phase de recompilation : 

```ksh
$ cd /usr/xenocara/xserver
# make -f Makefile.bsd-wrapper obj
# make -f Makefile.bsd-wrapper build
```

Pour finir, [redémarrez](#restart) le service !

## Restart

```ksh
# rcctl restart xenodm
```

---

Plus d'informations sur les pages d'Errata [6.8][1] et [6.7][2]…  
et leurs versions FR respectives : [6.8 FR][3] et [6.7 FR][4].

---

[1]: https://openbsd.org/errata68.html
[2]: https://openbsd.org/errata67.html
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68
[4]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata67


